#pragma once

class oVertexShader
{
protected:
	IDirect3DDevice8* device;
	ulong handle;

public:
	oVertexShader() throw();
	~oVertexShader() throw();

	void Create(IDirect3DDevice8* const& device_, const ulong& handle_) throw();
	void Free() throw();

	operator const ulong&() const throw() { return handle; }
};

class oPixelShader
{
protected:
	IDirect3DDevice8* device;
	ulong handle;

public:
	oPixelShader() throw();
	~oPixelShader() throw();

	void Create(IDirect3DDevice8* const& device_, const ulong& handle_) throw();
	void Free() throw();

	operator const ulong&() const throw() { return handle; }
};