#pragma once

// window stuff
#define WIN32_LEAN_AND_MEAN
#define _WIN32_WINDOWS 0x0410
#include <windows.h>
#include <tchar.h>
#include <math.h>
#include <process.h>
#include <float.h>

// stl stuff
#include <string>
#include <vector>
#include <algorithm>
#include <cassert>

// directx stuff
#define DIRECTINPUT_VERSION 0x0800
#include <dinput.h>
#include <d3d8.h>
#include <d3dx8.h> // THIS HAS TO GO!!!!

// devIL stuff
//#include <il/il.h>

// ode stuff
#ifdef OPENENGINE_USING_ODE
#include <ode/ode.h>
#endif // def OPENENGINE_USING_ODE

// openengine all includes
#include "types.h"
#include "smartptr.h"
#include "maths.h"
#include "graphicsloader.h"
#include "graphicsbuffers.h"
#include "graphicsshaders.h"
#include "graphics.h"
#include "shaderconstants.h"
#include "gui.h"
#include "font.h"
#include "input.h"
#include "threading.h"
#include "mesh.h"